#ifndef __FlowAction_h__
# define __FlowAction_h__

#include "HTTPParameters.h"
#include "ZString.h"

namespace http {

   class FlowAction {

    public:
      FlowAction();

      virtual bool action(HTTPParameters &p);

      coreutils::ZString getId();

    protected:
      char actionId[64];
      const char *hex = "0123456789ABCDEF";

   };

}

#endif
